<?php

namespace App\Framework\Math;

use Stringable;

interface Calculator
{
    public function add(Stringable|string $a, Stringable|string $b, Context $context):string;

    public function subtract(Stringable|string $a, Stringable|string $b, Context $context):string;

    public function multiply(Stringable|string $a, Stringable|string $b, Context $context):string;

    public function divide(Stringable|string $a, Stringable|string $b, Context $context):string;




    public function equal(Stringable|string $a, Stringable|string $b, Context $context):bool;

    public function greaterThan(Stringable|string $a, Stringable|string $b, Context $context):bool;

    public function greaterThanOrEqual(Stringable|string $a, Stringable|string $b, Context $context):bool;

    public function lessThan(Stringable|string $a, Stringable|string $b, Context $context):bool;

    public function lessThanOrEqual(Stringable|string $a, Stringable|string $b, Context $context):bool;
}
